# class MucRoomMember | A MUC room member. More...
Full name | `TelEngine::MucRoomMember`
Definition | `#include <yatecbase.h>`
Inherits | TelEngine::ClientResource [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Affiliation { AffUnknown = 0, AffNone, Outcast, Member, Admin, Owner }
- enum Role { RoleUnknown = 0, RoleNone, Visitor, Participant, Moderator }

#### Public Methods

- inline explicit MucRoomMember (const char* id, const char* nick, const char* uri = 0)

#### Public Members

- static const TokenDict s_affName[]
- static const TokenDict s_roleName[]
- String m_uri
- String m_instance
- int m_affiliation
- int m_role

## Detailed Description

This class holds data about a MUC room member. The resource name holds the nickname

enum Affiliation { AffUnknown = 0, AffNone, Outcast, Member, Admin, Owner } | ### Affiliation

Member affiliation to the room

enum Role { RoleUnknown = 0, RoleNone, Visitor, Participant, Moderator } | ### Role

Member role after joining the room

inline explicit MucRoomMember (const char* id, const char* nick, const char* uri = 0) | ### MucRoomMember

Constructor

Parameters:

id | Member internal id
nick | Member nickname
uri | Member uri

static const TokenDict s_affName[] | ### s_affName[]

static const TokenDict s_roleName[] | ### s_roleName[]

String m_uri | ### m_uri

String m_instance | ### m_instance

int m_affiliation | ### m_affiliation

int m_role | ### m_role

Generated by: paulc on bussard on Fri May 8 12:37:22 2015, using kdoc 2.0a54.